Bug 436578 - F8 amarok.x86_64 0:1.4.8-4.fc8 fails Transaction Check Error
F8 amarok.x86_64 0:1.4.8-4.fc8 fails Transaction Check Error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 19:44 EST by Gerald Cox
Modified: 2008-04-16 23:55 EDT (History)
9 users (show)

See Also:
Fixed In Version: 1.4.8-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum transaction (4.54 KB, text/plain)
2008-03-08 06:16 EST, Susi Lehtola
no flags Details
Yum list updates (3.37 KB, text/plain)
2008-03-08 11:10 EST, Susi Lehtola
no flags Details
Yum list installed (184.75 KB, text/plain)
2008-03-08 11:11 EST, Susi Lehtola
no flags Details
Yum update (11.65 KB, text/plain)
2008-03-08 11:11 EST, Susi Lehtola
no flags Details

  None (edit)
Description Gerald Cox 2008-03-07 19:44:46 EST
Description of problem:
yum update fails for amarok 1.4.8-4.fc8 - transaction check error


Version-Release number of selected component (if applicable):
amarok 1.4.8-4.fc8

How reproducible:
yum update amarok


Steps to Reproduce:
1. yum update amarok
2.
3.
  
Actual results:
Transaction Check Error:
  file /usr/share/doc/HTML/da/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/de/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/en/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/et/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/fr/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/it/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/nl/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/pl/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/pt/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/pt_BR/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/ru/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386
  file /usr/share/doc/HTML/sv/amarok/index.cache.bz2 from install of
amarok-1.4.8-4.fc8.x86_64 conflicts with file from package amarok-1.4.8-1.fc8.i386



Expected results:
Normal completion, amarok updated.


Additional info:
Comment 1 Rex Dieter 2008-03-07 20:27:49 EST
Looks like a multilib goof on your box.  Why is only the x86_64 version trying
to update and not i386?
Comment 2 Gerald Cox 2008-03-07 21:33:20 EST
Don't know.  My installation is vanilla and I only install from the Fedora and
Livna repositories.
Comment 3 Gerald Cox 2008-03-07 21:41:39 EST
I went ahead and uninstalled amarok and re-installed.  That cleared the problem.
Comment 4 Susi Lehtola 2008-03-08 06:16:58 EST
Created attachment 297296 [details]
Yum transaction

Yum transaction for yum update and yum update amarok.
Yum update will not update amarok.i386, which causes the transaction check
error.
Comment 5 Susi Lehtola 2008-03-08 06:20:39 EST
As the 32-bit package is available and yum is not trying to update it, there
must be some multilib bug in yum.
Comment 6 Rex Dieter 2008-03-08 08:17:36 EST
nod, saw someone else mention this on fedora list reopening
Comment 7 Rex Dieter 2008-03-08 08:18:30 EST
multilib joy.
Comment 8 Seth Vidal 2008-03-08 10:53:16 EST
what command were you running. Please report the output of the command.

also run:

yum list updates

and

yum list installed

thanks
Comment 9 Susi Lehtola 2008-03-08 11:10:23 EST
Created attachment 297305 [details]
Yum list updates
Comment 10 Susi Lehtola 2008-03-08 11:11:06 EST
Created attachment 297306 [details]
Yum list installed
Comment 11 Susi Lehtola 2008-03-08 11:11:25 EST
Created attachment 297307 [details]
Yum update
Comment 12 Susi Lehtola 2008-03-08 11:13:58 EST
Running
  # yum update
results in crash as stated before (64-bit amarok-konqueror seems to replace
32-bit amarok), but
  # yum update amarok
succesfully updates both 32- and 64-bit versions of amarok; after this yum
update is run succesfully.
Comment 13 Susi Lehtola 2008-03-08 11:17:13 EST
This is the output of yum update amarok:

Loading "downloadonly" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package amarok.i386 0:1.4.8-4.fc8 set to be updated
---> Package amarok.x86_64 0:1.4.8-4.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 amarok                  i386       1.4.8-4.fc8      updates            13 M
 amarok                  x86_64     1.4.8-4.fc8      updates            13 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total download size: 27 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : amarok                       ######################### [1/4] 
  Updating  : amarok                       ######################### [2/4] 
  Cleanup   : amarok                       ######################### [3/4] 
  Cleanup   : amarok                       ######################### [4/4] 

Updated: amarok.i386 0:1.4.8-4.fc8 amarok.x86_64 0:1.4.8-4.fc8
Complete!
Comment 14 Seth Vidal 2008-03-08 11:21:47 EST
sigh. So you've already changed your system? There's no way to ask for more
debugging information to see if we can solve this problem?

then I'll close this cantfix as I need to see more information.


Comment 15 Rex Dieter 2008-03-08 11:24:45 EST
amarok recently grew an amarok-konqueror subpkg, and in a naive attempt to ease
upgrade-path issues, we included in amarok-konqueror:
Obsoletes: amarok < 1.4.8-4
which is what I'd bet is contributing to the issue here.
Comment 16 Seth Vidal 2008-03-08 11:26:34 EST
A couple of more questions:

What are these packages? What do they provide or do?

yum-dribble.noarch                       1-1_tfo                installed       
yum-ftl.noarch                           2-4_fc_ftl             installed       

Comment 17 Seth Vidal 2008-03-08 11:28:51 EST
obsoletes are processed before updates.

so the x86_64 pkg was obsoleted and yum thought so was the i386, most likely,
the amarok-konqueror package pulled in the new amarok.x86_64 but not the
amarok.i386.

So then the transaction ran, rpm only pulled out the x86_64 amarok and we're
left with the file conflict.


Comment 18 Gilboa Davara 2008-03-09 06:06:40 EDT
I'm not sure that this is an obsolete problem.

Beyond being hit by the Amarok problem (that was solved by removing the
offending packages and reinstalling them), I saw the same (?) multi-lib problem
(hours later) when I tried to install fontconfig-devel.i386 and
libxslt-devel.i386. (64bit were already installed; needed the 32bit ones to
build wine)

$ yum install fontconfig-devel.i386 libxslt-devel.i386
... And got file conflicts on more-or-less all the files in both packages.
(Didn't save the output, a mistake, I know, sorry)

Only when I executed the following:
$ rpm -e fontconfig-devel libxslt-devel --nodeps
$ yum -y install fontconfig-devel libxslt-devel
fontconfig-devel - 2.4.2-5.fc8.x86_64
fontconfig-devel - 2.4.2-5.fc8.i386
libxslt-devel - 1.1.22-1.fc8.i386
libxslt-devel - 1.1.22-1.fc8.x86_64

... Everything returned to normal.

- Gilboa
Comment 19 James Antill 2008-03-09 22:27:04 EDT
"""
$ yum install fontconfig-devel.i386 libxslt-devel.i386
... And got file conflicts on more-or-less all the files in both packages.
(Didn't save the output, a mistake, I know, sorry)
"""

 This is a known (different) rpm feature, we can't fix it in yum. If you have
file conflicts rpm will handle it in a special way if you install them both at once.
Comment 20 Susi Lehtola 2008-03-11 11:59:54 EDT
(In reply to comment #16)
> A couple of more questions:
> 
> What are these packages? What do they provide or do?
> 
> yum-dribble.noarch                       1-1_tfo                installed       
> yum-ftl.noarch                           2-4_fc_ftl             installed       

Those are just local repo packages, they only contain some binary software used
at our site.

As Rex said the "Obsoletes: amarok" tag in amarok-konqueror is behind this
problem. The right way to solve this would probably be to remove the Obsoletes
tag from amarok-konqueror and add an "Requires: amarok-konqueror" tag to amarok.

Jussi
Comment 21 Rex Dieter 2008-03-11 12:09:02 EDT
> add an "Requires: amarok-konqueror"

No, that's the whole point of having the pkg split, to avoid the konq dependency
that pulls in all of kdebase.

I'll consider omitting the Obsoletes tag, but I'll wait to hear what Seth (or
any other yum guru) has to say on the matter.
Comment 22 Rex Dieter 2008-03-11 12:11:40 EDT
Wait, this got closed, multilib transation errors are considered NOTABUG?
Comment 23 Seth Vidal 2008-03-11 12:38:05 EDT
it got closed notabug b/c it isn't a yum bug, afaict.
Comment 24 Rex Dieter 2008-03-12 13:37:55 EDT
OK, then we can't use the Obsoletes in amarok to provide a preferred upgrade path.
Comment 25 Rex Dieter 2008-03-12 13:38:19 EDT
Reassigning -> amarok
Comment 26 Fedora Update System 2008-03-12 14:57:27 EDT
amarok-1.4.8-5.fc8 has been submitted as an update for Fedora 8
Comment 27 Fedora Update System 2008-03-13 03:43:08 EDT
amarok-1.4.8-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update amarok'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2410
Comment 28 Laurent Rineau 2008-03-14 14:49:27 EDT
(In reply to comment #24)
> OK, then we can't use the Obsoletes in amarok to provide a preferred upgrade 
path.

Then, what is the correct solution, so that a package split does not remove 
some part of the initial package?
Comment 29 Rex Dieter 2008-03-14 15:01:29 EDT
Re: comment #28
Unfortunately, I'm not aware of any correct solution to the problem(*).


(*) Besides using Obsoletes, which landed us here with multilib transaction
errors, which is apparently not fixable (ie, not a yum bug per comment #23).
Comment 30 Fedora Update System 2008-04-16 23:55:26 EDT
amarok-1.4.8-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.